package itz;
import java.io.*;
import java.util.*;
public class LecturaCSVsencillo {
	public static final String SEPARADOR=",";
	public static final String COMILLA="\"";
	public static void main(String[] args) {
		BufferedReader br = null;
		try {
			br =new BufferedReader(new FileReader("Ejemplo1.csv"));
			String line = br.readLine();
			while (null!=line) {
				String [] campos = line.split(SEPARADOR);
				System.out.println(Arrays.toString(campos));

				campos = removeTrailingQuotes(campos);
				System.out.println(Arrays.toString(campos));

				line = br.readLine();
			}

		} catch (Exception e) {
		     System.out.println("Ocurrio un error en apertura de archivo");
		} finally {
			if (null!=br) {
				try {
					br.close();
				} catch (IOException e) {
					System.out.println("Error al cerrar archivo");
				}
			}
		}
	}
	
	private static String[] removeTrailingQuotes(String[] fields) {
	      String result[] = new String[fields.length];
	      for (int i=0;i<result.length;i++){
	    	  result[i] = fields[i].replaceAll("^"+COMILLA, "").replaceAll(COMILLA+"$", "");
	      }
	      return result;
	   }
	
}
